Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.monitoring.core.v2
Enum TypeOfElementType

    java.lang.Object
      java.lang.Enum<TypeOfElementType>
          be.fgov.ehealth.monitoring.core.v2.TypeOfElementType

All Implemented Interfaces:
  Serializable, Comparable<TypeOfElementType>

    public enum TypeOfElementType

extends Enum<TypeOfElementType>

Java class for TypeOfElementType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="TypeOfElementType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
         <enumeration value="ARRAY"/>
         <enumeration value="INTEGER"/>
         <enumeration value="HASH"/>
         <enumeration value="BLOB"/>
         <enumeration value="FLOAT"/>
         <enumeration value="XML"/>
         <enumeration value="STRING"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ARRAY`
`BLOB`
`FLOAT`
`HASH`
`INTEGER`
`STRING`
`XML`

Method Summary
`static TypeOfElementType` | `fromValue(String v)`
`String` | `value()`
`static TypeOfElementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeOfElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARRAY

    public static final TypeOfElementType ARRAY

### INTEGER

    public static final TypeOfElementType INTEGER

### HASH

    public static final TypeOfElementType HASH

### BLOB

    public static final TypeOfElementType BLOB

### FLOAT

    public static final TypeOfElementType FLOAT

### XML

    public static final TypeOfElementType XML

### STRING

    public static final TypeOfElementType STRING

Method Detail

### values

    public static TypeOfElementType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TypeOfElementType c : TypeOfElementType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TypeOfElementType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static TypeOfElementType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.